search

get

/api/boss/data/objects/ora/cxServiceCore/helpdesk/v1/$en/internalServiceRequests/$views/search

Get internal service requests

Request

Query Parameters
  • Effective date value in the ISO 8601 date format 'YYYY-MM-DD'. This date is required by business logic to search for effective-dated business objects.
  • Restricts the resource fields. Only the specified fields and mandatory system fields are returned.
  • The resource collection will be queried using the specified filter condition.
  • Specifies whether the server should estimate the total number of records for a given query and include the count in the response.
  • Restricts the number of resource items returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resource items.
    Default Value: 25
  • Defines the starting position of the resource collection. If offset exceeds the resource count then no resource items are returned.
    Default Value: 0
  • Orders a resource collection based on the specified fields. The parameter value is a comma-separated string of field names, each optionally followed by a colon and "asc" (default) or "desc".

There's no request body for this operation.

Back to Top

Response

Default Response

Successful response of retrieving view search for resource Internal Service Requests
Body ()
Nested Schema : __collection_context
Type: object
Show Source
Nested Schema : internalServiceRequests_view-search-allOf[1]
Type: object
Get internal service requests
Show Source
Nested Schema : totalItems
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : items
Match All
Show Source
Nested Schema : items-allOf[0]
Match All
Show Source
Nested Schema : __busObj_context
Type: object
Show Source
Nested Schema : items-allOf[0]-allOf[1]
Type: object
Show Source
Nested Schema : items-allOf[1]
Type: object
Nested Schema : $context
Type: object
Show Source
Nested Schema : businessUnit
Match All
Show Source
Nested Schema : category
Match All
Show Source
Nested Schema : item
Match All
Show Source
Nested Schema : itemCategory
Match All
Show Source
Nested Schema : messages
Match All
Show Source
Nested Schema : openDate
Match All
Show Source
Nested Schema : originalSystemReference
Match All
Show Source
  • Maximum Length: 255
  • Title: Original System
    The reference to the help desk request record in the original system from which service request was imported.
Nested Schema : problemDescription
Match All
Show Source
  • Maximum Length: 1000
  • Title: Problem Description
    The help desk request's problem description or statement and the steps to reproduce the issue.
Nested Schema : productGroup
Match All
Show Source
Nested Schema : productItem
Match All
Show Source
Nested Schema : resolvedBy
Match All
Show Source
  • Maximum Length: 64
  • Title: Resolved By
    The user who resolved the help desk request.
Nested Schema : resolveDescription
Match All
Show Source
Nested Schema : severity
Match All
Show Source
Nested Schema : srId
Match All
Show Source
Nested Schema : status
Match All
Show Source
Nested Schema : statusTypeCd
Match All
Show Source
Nested Schema : timeCreated
Match All
Show Source
Nested Schema : timeUpdated
Match All
Show Source
  • Read Only: true
  • Title: Last Updated Date
    The date and time when the help desk request was last updated.
Nested Schema : title
Match All
Show Source
  • Maximum Length: 400
  • Title: Title
    The brief title of the help desk request.
Nested Schema : uniqueExternalSystemReference
Match All
Show Source
  • Maximum Length: 255
  • Title: Unique External System Reference Number
    The unique alternative identifier of the help desk request in the original reference system. You can this column to store the identifier of the help desk request in the external application you're integrating with.
Nested Schema : updatedBy
Match All
Show Source
Nested Schema : businessUnit-allOf[1]
Type: object
Show Source
Nested Schema : category-allOf[1]
Type: object
Show Source
Nested Schema : item-allOf[1]
Type: object
Show Source
Nested Schema : description
Match All
Show Source
  • Read Only: true
  • Title: Description
    Description of the part, item, product, or service.
Nested Schema : itemId
Match All
Show Source
  • Read Only: true
  • Title: Item
    Value that uniquely identifies the part, material, product, or service that's unique as compared with other items by the nature of its attributes.
Nested Schema : itemNumber
Match All
Show Source
  • Read Only: true
  • Title: Item Number
    Value that uniquely identifies the part, material, product, or service that's unique when compared with other items by the nature of its attributes.
Nested Schema : organizationId
Match All
Show Source
  • Read Only: true
  • Title: Organization
    Value that uniquely identifies the organizing unit in the internal or external structure of your enterprise. Organization structures provide the framework for performing legal reporting, financial control, and management reporting.
Nested Schema : itemCategory-allOf[1]
Type: object
Show Source
  • Title: Category Code
    Read Only: true
    Abbreviation that identifies the item category in user interface.
  • Title: Description
    Read Only: true
    Description of the category.
  • Title: Item Category
    Read Only: true
    Value that uniquely identifies the item category. This value should not be used in service calls to create categories in catalogs.
  • Title: Category Name
    Read Only: true
    Name of the category.
Nested Schema : messages-allOf[1]
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : items
Match All
Show Source
Nested Schema : items-allOf[1]
Type: object
Show Source
Nested Schema : productGroup-allOf[1]
Type: object
Show Source
Nested Schema : productItem-allOf[1]
Type: object
Show Source
Nested Schema : severity-allOf[1]
Type: object
Show Source
Nested Schema : lookupCode
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code ID
    The unique identifier of the Lookup Code.
Nested Schema : lookupType
Match All
Show Source
  • Read Only: true
  • Title: Lookup Type ID
    The unique identifier of the Lookup Type.
Nested Schema : meaning
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code Meaning
    The translated meaning of the Lookup Code.
Nested Schema : status-allOf[1]
Type: object
Show Source
Nested Schema : lookupCode
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code ID
    The unique identifier of the Lookup Code.
Nested Schema : lookupType
Match All
Show Source
  • Read Only: true
  • Title: Lookup Type ID
    The unique identifier of the Lookup Type.
Nested Schema : meaning
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code Meaning
    The translated meaning of the Lookup Code.
Nested Schema : statusTypeCd
Match All
Show Source
  • Read Only: true
  • Allowed Values: [ "ORA_SVC_NEW", "ORA_SVC_INPROGRESS", "ORA_SVC_WAITING", "ORA_SVC_RESOLVED", "ORA_SVC_CLOSED" ]
Back to Top